
function mudfish_adclean_869b69d98b7e0d68c92c967035f7b73d() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[id$="_ad"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_869b69d98b7e0d68c92c967035f7b73d();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_869b69d98b7e0d68c92c967035f7b73d();
  });
}
